Bug 494963 - rc.sysinit does not exclude gfs2 from mounting
rc.sysinit does not exclude gfs2 from mounting
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: initscripts Maintenance Team
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-08 16:26 EDT by John Ruemker
Modified: 2009-09-02 07:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ruemker 2009-04-08 16:26:54 EDT
Description of problem: If a GFS2 filesystem is listed in /etc/fstab, rc.sysinit will attempt to mount it and fail because the cluster services have not started yet:

if [ "$READONLY" != "yes" ] ; then
        action $"Mounting local filesystems: " mount -a -t nonfs,nfs4,smbfs,ncpfs,cifs,gfs -O no_netdev
else
        action $"Mounting local filesystems: " mount -a -n -t nfs4,smbfs,ncpfs,cifs,gfs -O no_netdev
fi

This should also include gfs2 in the list. 


Version-Release number of selected component (if applicable): initscripts-8.45.25-1.el5


How reproducible: Always


Steps to Reproduce: 
1. Add a gfs2 filesystem to /etc/fstab:

/dev/clust/lv1          /mnt/lv1                gfs2    defaults        0 0

2. Reboot
  
Actual results: Errors at boot time:

Mounting local filesystems:  /sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: can't connect to gfs_controld: Connection refused
/sbin/mount.gfs2: gfs_controld not running
/sbin/mount.gfs2: error mounting lockproto lock_dlm
[FAILED]

Expected results: No attempt is made to mount the filesystem until the optional gfs2 init script is run, at which point it succeeds (provided the cluster is quorate)

Additional info:
Comment 1 Bill Nottingham 2009-04-08 16:44:54 EDT
Upstream commit is 5c54d5ec8905e5ce3dd4f2b2dbcca97b3e07364d, more or less. Fix has been tested in Fedora for ~2 years.
Comment 4 Harald Hoyer 2009-05-05 08:52:52 EDT
Please test the erratum candidate:
http://people.redhat.com/harald/downloads/initscripts/initscripts-8.45.26.1.el5/
Comment 8 errata-xmlrpc 2009-09-02 07:14:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1344.html

Note You need to log in before you can comment on or make changes to this bug.